#%RAML 1.0 Library
type: object
displayName: Resultado da amostra
description: Retorna informações sobre o resultado de uma amostra
properties: 
    numeroAmostra: 
        type: string
        description: Identificador único da amostra. É o código que está presenta no frasco da amostra e no cartão de coleta.
    idioma:
        type: string
        description: Idioma utilizado neste resultado.
    codigoExternoAmostra:
        required: false
        type: string
        description: Código que o cliente informa no momento da coleta. Sugestão é preencher com o código/id da amostra no sistema do cliente.
    dataRecebimento:
        type: datetime
        description: Data e hora que a amostra foi recebida pelo laboratório. Formato é o ISO 8601 com time zone. Para maiores informações, veja https://en.wikipedia.org/wiki/ISO_8601
    dataDesegregacao:
        required: false
        type: datetime
        description: Data na qual a amostra foi desegregada. Somente é preenchida se a amostra não poder ser processada no momento do recebimento."
    dataFinalizacao:
        type: datetime
        description: Data de finalização da amostra.
    foiSegregado:
        required: false
        type: boolean
        description: Informa se a amostra foi segregada no momento do recebimento da amostra.
    programa:
        required: false
        type: object
        description: Programa na amostra.
        properties:
            id:
                type: integer
            nome:
                type: string
    tipoColeta:
        required: false
        type: string
        description: Define o tipo de coleta que foi utilizado na amostra. Coletas avulsas não podem possuir histórico. Coletas em equipamentos possuem histórico.
        enum: [ AVULSA, EQUIPAMENTO ]
    dadosColetaAvulsa:
        required: false
        type: object
        description: Dados da coleta, quando o tipo for avulsa.
        properties:
            tipoCompartimento:
                type: object
                properties:
                    id:
                        type: integer
                    nome:
                        type: string
            nomeCompartimento:
                type: string
    dadosColetaEquipamento:
        required: false
        type: object
        description: Dados da coleta associados e equipamento e seu compartimento/ponto de coleta.
        properties:
            equipamento:
                description: Dados do equipamento associado a amostra.
                type: object
                properties:
                    id:
                        type: integer
                        description: id do equipamento
                    familiaEquipamento:
                        type: object
                        properties:
                            id:
                                type: integer
                            nome:
                                type: string
                    fabricanteEquipamento:
                        type: object
                        properties:
                            id:
                                type: integer
                            nome:
                                type: string
                    modelo:
                        type: string
                        description: Modelo do equipamento
                    chassiSerie:
                        type: string
                        description: Chassi/Série do equipamento
                    frota:
                        required: false
                        type: string
                        description: Frota ou tag do equipamento
                    unidadeControle:
                        type: string
                        description: Frota ou tag do equipamento
                        enum: [ KM, HORA, PERIODO ]
                    codigoExterno:
                        required: false
                        type: string
                        description: Frota ou tag do equipamento
            compartimento:
                description: Dados do compartimento associado a amostra.
                type: object
                properties:
                    id:
                        type: integer
                        description: id do compartimento
                    nome:
                        type: string
                        description: Modelo do equipamento
                    tipoCompartimento:
                        type: object
                        properties:
                            id:
                                type: integer
                            nome:
                                type: string
                    numeroSerie:
                        type: string
                        description: Modelo do equipamento
                    volume:
                        required: false
                        type: string
                        description: Chassi/Série do equipamento
                    frota:
                        required: false
                        type: string
                        description: Frota ou tag do equipamento
                    codigoExterno:
                        required: false
                        type: string
                        description: Frota ou tag do equipamento

    dadosColetaGeral:
        required: false
        type: object
        description: Dados em comum aos dois tipos de coleta.
        properties:
            dataColeta:
                required: false
                type: datetime
                description: Data da coleta, informada pelo cliente no cartão/etiqueta ou no pré-registro da amostra no sistema. Formato é o ISO 8601 com time zone. Para maiores informações, veja https://en.wikipedia.org/wiki/ISO_8601
            horasOleo:
                required: false
                type: integer
                description: Data da coleta, informada pelo cliente no cartão/etiqueta ou no pré-registro da amostra no sistema. Formato é o ISO 8601 com time zone. Para maiores informações, veja https://en.wikipedia.org/wiki/ISO_8601
            oleoTrocado:
                required: false
                type: string
                enum: [ SIM, NAO, NAO_INFORMADO ]
                description: Informa se o óleo foi trocado após a coleta. Somente poderá ter dois valores. Verdadeiro (true) e falso (false).
            oleo:
                type: object
                required: false
                description: Óleo ou fluido da amostra
                properties:
                    fabricanteOleo:
                        type: object
                        properties:
                            id:
                                type: integer
                            nome:
                                type: integer
                    viscosidade:
                        type: object
                        properties:
                            id:
                                type: integer
                            nome:
                                type: integer
                    detalhesOleo:
                        required: false
                        type: string
            volumeAdicionado:
                required: false
                type: string
                description: Volume de óleo adicionado ao compartimento.",
            comentario:
                required: false
                type: string
                description: Comentário do cliente na coleta da amostra.
    area:
        required: false
        type: string
        description: Área onde o equipamento é alocado no cliente.
    setor:
        required: false
        type: string
        description: Setor onde o equipamento é alocado no cliente.
    cliente:
        required: true
        type: object
        properties:
            id:
                type: integer
            nome:
                type: string
    obra:
        required: false
        type: object
        properties:
            id:
                type: integer
            nome:
                type: string
    statusAmostra:
        required: false
        type: string
        enum: [ NORMAL , ATENCAO, ANORMAL, CRITICO ]
        description: Texto que define o resultado da amostra. Poderá ser NORMAL, ATENCAO, ANORMAL e CRITICA.
    avaliacao:
        required: false
        type: string
        description: Texto que descreve a avaliação da amostra, justificando o status da amostra.
    responsavel:
        required: false
        type: string
        description: Nome da pessoa responsável pela avaliação da amostra.
    acoesInspecao:
        required: false
        type: string
        description: Sugestão do responsável para avaliar o equipamento da amostra.
    responsavelEdicaoAvaliacaoComentario:
        required: false
        type: string
        description: Nome da pessoa responsável pela edição da avaliação/comentário da coleta da amostra
    dataEdicaoAvaliacaoComentario:
        required: false
        type: datetime
        description: Data e hora da edição da avaliação/comentário da coleta da amostra
    houvePreRegistro:
        required: true
        type: boolean
        description: Informa se a amostra teve o registro de coleta feito antes de ser recebido pelo laboratório.
    avaliacao:
        required: false
        type: string
        description: "Texto que descreve a avaliação da amostra, justificando o status da amostra.
    resultadosAnalise:
        type: array
        description: Listagem dos resultados das análises feitas nesta amostra.
        items:
            type: ResultadoAnalise
    numeroCaixa:
        required: false
        type: string
        description: Número da caixa na qual o frasco foi despachado
    notaFiscalFrasco:
        required: false
        type: string
        description: Nota fiscal na qual o frasco foi emitido
    mensagem:
        required: false
        type: string
    codigoErro:
        type: string
    comentarios:
        required: false
        type: array
        description: Listagem dos comentários e/ou retorno de inspeção da amostra
        items:
            type: ComentarioAmostra
    planosAnalise:
        required: false
        type: array
        description: Listagem dos comentários e/ou retorno de inspeção da amostra
        items:
            planoAnalise:
                type: object
                properties:
                    id:
                        type: integer
                    nome:
                        type: string
